<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Core\Model;

defined( 'ABSPATH' ) || exit;

trait Identifiable
{
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    /** @internal Used by ORM  */
    public function setId(int $value): void
    {
        $this->id = $value;
    }
}
